#ifndef __DESCRIBE_H_
#define __DESCRIBE_H_

#include "../ocicpp.h"

class Describe {
private:
	OCISvcCtx	*svcctx;
	OCIError	*error;
	OCIDescribe	*descr;
private:
	string		object_name;
	string		object_type_name;
	ub1			object_type;
	ub2			num_attrs;
	ub2			num_params;
	ub1 		*timestamp;
public:
	explicit Describe(OCISvcCtx *svchp,OCIError *errhp,string object_name);
	virtual  ~Describe();
	string getObjectName();
	int	   getObjectType()
	string getObjectTypeName();
	int    getNumAttrs();
	int    getNumParams();
	unsigned char *getTimeStamp();
private:
	void TypeNameFromType();
};
#endif