#ifndef __ORANUMBER_H_
#define __ORANUMBER_H_

#include "ocicpp.h"
#include "OraType.h"
#include "OraError.h"


class OraNumber : public OraType 
{
private:
	char *data; /* We'll request for string for number */
public:
	OraNumber(OCIEnv *,OCIError *,OCIParam *,ub2 type,int rows);
	~OraNumber();
	virtual void define(OCIStmt *,int);
	virtual void getStr(string &str,int row);
	virtual void getInt(int &val,int row);
	virtual void getDouble(double &val,int row);
};




#endif
