#ifndef __ORABFILE_H_
#define __ORABFILE_H_

#include "ocicpp.h"
#include "OraType.h"
#include "OraError.h"
#include "BFile.h"

class OraBFile: public OraType {
private:
	OCILobLocator **lob;
	OCISvcCtx *svchp;
public:
	OraBFile(OCIEnv *env,OCIError *,OCIParam *,OCISvcCtx *,ub2 type,int rows);
	~OraBFile();
	virtual void define(OCIStmt *stmt,int col);
	virtual void getFILE(BFile &bfile,int row);
	virtual void getStr(string &str,int row);
};



#endif
